# MSP::CCS::MGRS Class Reference

`#include <MGRS.h>`

Inheritance diagram for MSP::CCS::MGRS:

List of all members.

## Public Member Functions

| MGRS (double ellipsoidSemiMajorAxis, double ellipsoidFlattening, char *ellipsoidCode)
| MGRS (const MGRS &m)
| ~MGRS (void)
MGRS & | operator= (const MGRS &m)
EllipsoidParameters * | getParameters () const
MSP::CCS::MGRSorUSNGCoordinates * | convertFromGeodetic (MSP::CCS::GeodeticCoordinates *geodeticCoordinates, long precision)
MSP::CCS::GeodeticCoordinates * | convertToGeodetic (MSP::CCS::MGRSorUSNGCoordinates *mgrsCoordinates)
MSP::CCS::MGRSorUSNGCoordinates * | convertFromUTM (UTMCoordinates *utmCoordinates, long precision)
MSP::CCS::UTMCoordinates * | convertToUTM (MSP::CCS::MGRSorUSNGCoordinates *mgrsorUSNGCoordinates)
MSP::CCS::MGRSorUSNGCoordinates * | convertFromUPS (MSP::CCS::UPSCoordinates *upsCoordinates, long precision)
MSP::CCS::UPSCoordinates * | convertToUPS (MSP::CCS::MGRSorUSNGCoordinates *mgrsorUSNGCoordinates)

## Detailed Description

Definition at line 100 of file MGRS.h.

## Constructor & Destructor Documentation

MGRS::MGRS | ( | double | ellipsoidSemiMajorAxis,
|  | double | ellipsoidFlattening,
|  | char * | ellipsoidCode |
| ) |  |  |

Definition at line 408 of file MGRS.cpp.

MGRS::MGRS | ( | const MGRS & | m | ) |

Definition at line 450 of file MGRS.cpp.

MGRS::~MGRS | ( | void |  | ) |

Definition at line 461 of file MGRS.cpp.

## Member Function Documentation

MSP::CCS::MGRSorUSNGCoordinates * MGRS::convertFromGeodetic | ( | MSP::CCS::GeodeticCoordinates * | geodeticCoordinates,
|  | long | precision |
| ) |  |  |

Definition at line 502 of file MGRS.cpp.

MSP::CCS::MGRSorUSNGCoordinates * MGRS::convertFromUPS | ( | MSP::CCS::UPSCoordinates * | upsCoordinates,
|  | long | precision |
| ) |  |  |

Definition at line 707 of file MGRS.cpp.

MSP::CCS::MGRSorUSNGCoordinates * MGRS::convertFromUTM | ( | UTMCoordinates * | utmCoordinates,
|  | long | precision |
| ) |  |  |

Definition at line 600 of file MGRS.cpp.

MSP::CCS::GeodeticCoordinates * MGRS::convertToGeodetic | ( | MSP::CCS::MGRSorUSNGCoordinates * | mgrsCoordinates | ) |

Definition at line 558 of file MGRS.cpp.

MSP::CCS::UPSCoordinates * MGRS::convertToUPS | ( | MSP::CCS::MGRSorUSNGCoordinates * | mgrsorUSNGCoordinates | ) |

Definition at line 767 of file MGRS.cpp.

MSP::CCS::UTMCoordinates * MGRS::convertToUTM | ( | MSP::CCS::MGRSorUSNGCoordinates * | mgrsorUSNGCoordinates | ) |

Definition at line 661 of file MGRS.cpp.

EllipsoidParameters * MGRS::getParameters | ( |  | ) | const

Definition at line 487 of file MGRS.cpp.

MGRS & MGRS::operator= | ( | const MGRS & | m | ) |

Definition at line 471 of file MGRS.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/mgrs/MGRS.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/mgrs/MGRS.cpp